<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$idDoc=$sessao->getVar('transfere');
$cliente=$sessao->getVar('cliente');

//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
//AQUI DEFINE AS COLUNAS
//como funcionam estas colunas?
//a grade tetezazolio esta na classe calculo e tem 36 colunas fixas
//eu digo para o computador quais as colunas da grade  tetrazolio que eu quero no formato
//SE O CLIENTE QUISER ALGUMA COLUNA A MAIS EU VENHO AQUI E ACRESCENTO SO NO MODELO
$LI=10;//LI=LARGURA IGUAL  ONDE NAO FOR LI EU VOU LA E ESCRE O NUMERO
if($controle=='basico'):
    $vetorIndice[1]=37;  $vetorLargura[1]=13;//amostra
    $vetorIndice[2]=38;  $vetorLargura[2]=21;//lote
    $vetorIndice[3]=41;  $vetorLargura[3]=$LI+2;//peneira
    $vetorIndice[4]=39;  $vetorLargura[4]=30;//cultivar
    $vetorIndice[5]=1;   $vetorLargura[5]=$LI;//
    $vetorIndice[6]=3;   $vetorLargura[6]=$LI;//
    $vetorIndice[7]=4;   $vetorLargura[7]=$LI;//
    $vetorIndice[8]=6;   $vetorLargura[8]=$LI;//
    $vetorIndice[9]=7;   $vetorLargura[9]=$LI;//
    $vetorIndice[10]=9;  $vetorLargura[10]=$LI;//
    $vetorIndice[11]=10; $vetorLargura[11]=$LI-1;//
    $vetorIndice[12]=11; $vetorLargura[12]=$LI-1;//
    $vetorIndice[13]=12; $vetorLargura[13]=$LI-1;//
    $vetorIndice[14]=13; $vetorLargura[14]=$LI-1;//
    $vetorIndice[15]=14; $vetorLargura[15]=$LI+3;//
    $vetorIndice[16]=42; $vetorLargura[16]=96;//obs vem da amostra//era 96
	
endif; 

if($controle=='completo'):
    $vetorIndice[1]=37;   $vetorLargura[1]=14;//amostra
    $vetorIndice[2]=38;   $vetorLargura[2]=20;//lote
    $vetorIndice[3]=39;   $vetorLargura[3]=30;//cultivar
    $vetorIndice[4]=1;    $vetorLargura[4]=$LI;//
    $vetorIndice[5]=2;    $vetorLargura[5]=$LI;//
    $vetorIndice[6]=3;    $vetorLargura[6]=$LI;//
    $vetorIndice[7]=4;    $vetorLargura[7]=$LI;//
    $vetorIndice[8]=5;    $vetorLargura[8]=$LI;//
    $vetorIndice[9]=6;    $vetorLargura[9]=$LI;//
    $vetorIndice[10]=7;   $vetorLargura[10]=$LI;//
    $vetorIndice[11]=8;   $vetorLargura[11]=$LI;//
    $vetorIndice[12]=9;   $vetorLargura[12]=$LI;//
    $vetorIndice[13]=10;  $vetorLargura[13]=$LI;//
    $vetorIndice[14]=11;  $vetorLargura[14]=$LI;//
    $vetorIndice[15]=12;  $vetorLargura[15]=$LI;//
    $vetorIndice[16]=13;  $vetorLargura[16]=$LI;//
    $vetorIndice[17]=14;  $vetorLargura[17]=$LI;//
    $vetorIndice[18]=15;  $vetorLargura[18]=$LI;//
    $vetorIndice[19]=16;  $vetorLargura[19]=$LI;//
    $vetorIndice[20]=17;  $vetorLargura[20]=$LI;//
    $vetorIndice[21]=18;  $vetorLargura[21]=30;//
endif; 


if($controle=='syngenta1'):
    $LI1=8;
    $vetorIndice[1]=37;   $vetorLargura[1]=14;//amostra
    $vetorIndice[2]=38;   $vetorLargura[2]=20;//lote
	$vetorIndice[3]=39;   $vetorLargura[3]=30;//cultivar
    $vetorIndice[4]=11;   $vetorLargura[4]=$LI;//vigor
    $vetorIndice[5]=10;   $vetorLargura[5]=$LI;//viabi
    $vetorIndice[6]=6;    $vetorLargura[6]=$LI;//dm-morta
    $vetorIndice[7]=9;    $vetorLargura[7]=$LI;//du-morta
    $vetorIndice[8]=3;    $vetorLargura[8]=$LI;//dp-morta
    $vetorIndice[9]=20;   $vetorLargura[9]=$LI;//sem dano
    $vetorIndice[10]=21;  $vetorLargura[10]=$LI1;//m2
    $vetorIndice[11]=22;  $vetorLargura[11]=$LI1;//u2
    $vetorIndice[12]=23;  $vetorLargura[12]=$LI1;//p2
    $vetorIndice[13]=24;  $vetorLargura[13]=$LI1;//m3
    $vetorIndice[14]=25;  $vetorLargura[14]=$LI1;//u3
    $vetorIndice[15]=26;  $vetorLargura[15]=$LI1;//p3
    $vetorIndice[16]=27;  $vetorLargura[16]=$LI1;//m4
    $vetorIndice[17]=28;  $vetorLargura[17]=$LI1;//u4
    $vetorIndice[18]=29;  $vetorLargura[18]=$LI1;//p4
    $vetorIndice[19]=30;  $vetorLargura[19]=$LI1;//m5
    $vetorIndice[20]=31;  $vetorLargura[20]=$LI1;//u5
    $vetorIndice[21]=32;  $vetorLargura[21]=$LI1;//p5
    $vetorIndice[22]=13;  $vetorLargura[22]=$LI1;//r3
    $vetorIndice[23]=42;  $vetorLargura[23]=47;//obs
 endif; 



if($controle=='syngenta2'):
    $LI1=8;
    $vetorIndice[1]=37;   $vetorLargura[1]=14;//amostra
    $vetorIndice[2]=38;   $vetorLargura[2]=20;//lote
	$vetorIndice[3]=39;   $vetorLargura[3]=30;//cultivar
    $vetorIndice[4]=11;   $vetorLargura[4]=$LI;//vigor
    $vetorIndice[5]=10;   $vetorLargura[5]=$LI;//viabi
    $vetorIndice[6]=6;    $vetorLargura[6]=$LI;//dm-morta
    $vetorIndice[7]=9;    $vetorLargura[7]=$LI;//du-morta
    $vetorIndice[8]=3;    $vetorLargura[8]=$LI;//dp-morta
    $vetorIndice[9]=20;   $vetorLargura[9]=$LI;//sem dano
    $vetorIndice[10]=21;  $vetorLargura[10]=$LI1;//m2
    $vetorIndice[11]=22;  $vetorLargura[11]=$LI1;//u2
    $vetorIndice[12]=23;  $vetorLargura[12]=$LI1;//p2
    $vetorIndice[13]=24;  $vetorLargura[13]=$LI1;//m3
    $vetorIndice[14]=25;  $vetorLargura[14]=$LI1;//u3
    $vetorIndice[15]=26;  $vetorLargura[15]=$LI1;//p3
    $vetorIndice[16]=27;  $vetorLargura[16]=$LI1;//m4
    $vetorIndice[17]=28;  $vetorLargura[17]=$LI1;//u4
    $vetorIndice[18]=29;  $vetorLargura[18]=$LI1;//p4
    $vetorIndice[19]=30;  $vetorLargura[19]=$LI1;//m5
    $vetorIndice[20]=31;  $vetorLargura[20]=$LI1;//u5
    $vetorIndice[21]=32;  $vetorLargura[21]=$LI1;//p5
    $vetorIndice[22]=13;  $vetorLargura[22]=$LI1;//r3
    $vetorIndice[23]=42;  $vetorLargura[23]=47;//obs
 endif; 
 
 //syngenta modelo germinax 17/01/17
if($controle=='syngenta'):
    $LI1=8;
    $vetorIndice[1]=43;   $vetorLargura[1]=15;//data receb no las
    $vetorIndice[2]=37;   $vetorLargura[2]=21.7;//produtor
    $vetorIndice[3]=39;   $vetorLargura[3]=16.5;//cultivar
	$vetorIndice[4]=38;   $vetorLargura[4]=17.9;//lote
    //$vetorIndice[4]=43;   $vetorLargura[4]=15;//data receb no las
    $vetorIndice[5]=10;   $vetorLargura[5]=14.4;//tz viabilidade
    $vetorIndice[6]=11;    $vetorLargura[6]=10;//tz vigor
    $vetorIndice[7]=6;    $vetorLargura[7]=13;//m6-8
    $vetorIndice[8]=9;    $vetorLargura[8]=13.8;//u 6-8
    $vetorIndice[9]=3;    $vetorLargura[9]=12.5;//p 6-8
    $vetorIndice[10]=20;  $vetorLargura[10]=10.2;//sem dano
    $vetorIndice[11]=21;  $vetorLargura[11]=10.2;//m2
    $vetorIndice[12]=22;  $vetorLargura[12]=10.2;//u2
    $vetorIndice[13]=23;  $vetorLargura[13]=10.2;//p2
    $vetorIndice[14]=24;  $vetorLargura[14]=10.2;//m3
    $vetorIndice[15]=25;  $vetorLargura[15]=10.5;//u3
    $vetorIndice[16]=26;  $vetorLargura[16]=10.2;//p3
    $vetorIndice[17]=27;  $vetorLargura[17]=10.2;//m4
    $vetorIndice[18]=28;  $vetorLargura[18]=10.2;//u4
    $vetorIndice[19]=29;  $vetorLargura[19]=10.2;//p4
    $vetorIndice[20]=30;  $vetorLargura[20]=10.2;//m5
    $vetorIndice[21]=31;  $vetorLargura[21]=10.2;//u5
    $vetorIndice[22]=32;  $vetorLargura[22]=10.2;//p5
    $vetorIndice[23]=45;  $vetorLargura[23]=12;//data analise
 endif; 



if($controle=='unisystem'):
    $vetorIndice[1]=37;   $vetorLargura[1]=14;//amostra
    $vetorIndice[2]=38;   $vetorLargura[2]=20;//lote
    $vetorIndice[3]=39;   $vetorLargura[3]=30;//cultivar
    $vetorIndice[4]=11;   $vetorLargura[4]=$LI;//vigor
    $vetorIndice[5]=10;   $vetorLargura[5]=$LI;//viab
    $vetorIndice[6]=5;    $vetorLargura[6]=$LI;//m45
    $vetorIndice[7]=6;    $vetorLargura[7]=$LI;//m68
    $vetorIndice[8]=4;    $vetorLargura[8]=$LI;//m18
    $vetorIndice[9]=8;    $vetorLargura[9]=$LI;//u45
    $vetorIndice[10]=9;   $vetorLargura[10]=$LI;//u68
    $vetorIndice[11]=7;   $vetorLargura[11]=$LI;//u18
    $vetorIndice[12]=2;   $vetorLargura[12]=$LI;//p45
    $vetorIndice[13]=3;   $vetorLargura[13]=$LI;//p68
    $vetorIndice[14]=1;   $vetorLargura[14]=$LI;//p18
    $vetorIndice[15]=20;  $vetorLargura[15]=$LI;//c1 mesma coisa que sem dano
    $vetorIndice[16]=16;  $vetorLargura[16]=$LI;//c2
    $vetorIndice[17]=17;  $vetorLargura[17]=$LI;//c3
    $vetorIndice[18]=13;  $vetorLargura[18]=$LI;//r3
    $vetorIndice[19]=12;  $vetorLargura[19]=$LI;//duras
    $vetorIndice[20]=18;  $vetorLargura[20]=41;//dano principal
 endif; 

if($controle=='3pinheiros'):
    $vetorIndice[1]=37;   $vetorLargura[1]=14;//amostra
    $vetorIndice[2]=38;   $vetorLargura[2]=20;//lote
    $vetorIndice[3]=39;   $vetorLargura[3]=30;//cultivar
    $vetorIndice[4]=11;   $vetorLargura[4]=$LI;//vigor
    $vetorIndice[5]=10;   $vetorLargura[5]=$LI;//viab
    $vetorIndice[6]=33;   $vetorLargura[6]=$LI;//m15
    $vetorIndice[7]=6;    $vetorLargura[7]=$LI;//m68
    $vetorIndice[8]=4;    $vetorLargura[8]=$LI;//m18
    $vetorIndice[9]=34;   $vetorLargura[9]=$LI;//u15
    $vetorIndice[10]=9;   $vetorLargura[10]=$LI;//u68
    $vetorIndice[11]=7;   $vetorLargura[11]=$LI;//u18
    $vetorIndice[12]=35;  $vetorLargura[12]=$LI;//p15
    $vetorIndice[13]=3;   $vetorLargura[13]=$LI;//p68
    $vetorIndice[14]=1;   $vetorLargura[14]=$LI;//p18
    $vetorIndice[15]=13;  $vetorLargura[15]=$LI;//r3
    $vetorIndice[16]=20;  $vetorLargura[16]=$LI;//sd
    $vetorIndice[17]=18;  $vetorLargura[17]=16;//maio dano
    $vetorIndice[18]=42;  $vetorLargura[18]=58;//obs o caplo ovservacao sempre no final o valor vem da amostra
endif; 
$limite=sizeof($vetorIndice);

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-16;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);
			 
			 //cabecalho
			//captura dados do documento , o numero a especie o remetente etc
			$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);

			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Rect($margemEsquerda,1,$margemDireita,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Times','B',11);
			 $pdf->setXY($margemEsquerda,30);	$pdf->Cell($larguraUtil,6,utf8_decode('LAUDO DE TETRAZÓLIO Nº '.$vetorDadosDocumento[1]),1,1,'C');//lab nome
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
			 /////////////
			 if($cliente=='QUALITESTE'):
				 $caminhoFinal="ImagensClientes/dagua".$idLabo.".JPG";
				 $pdf->Image($caminhoFinal,$margemEsquerda+20,55,250,90,'JPG');		
             endif;	
			 ///////////
	         $pdf->SetFont('Times','B',9);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]),0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[3]),0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[4]),0,1,'C');//lab nome
            ///////imprime a lei/////////////
			 $pdf->SetFont('Times','B',7);
			 $cota1=21;
			 $pdf->setXY($margemEsquerda,$cota1);$pdf->Cell(278,3,utf8_decode("Este documento é um informativo de resultado para fins de conferência e não um boletim de análise de semente. Estando sujeito a sanções pessoa física ou jurídica que comete este" ),0,1,'C',1);//lab nome
			 $cota1=24;
			 $pdf->setXY($margemEsquerda,$cota1);$pdf->Cell(278,3,utf8_decode("ato. PROIBIDA E ILEGAL A COMERCIALIZAÇÃO deste lote com este documento segundo Art.84, $1º e $2º, do Decreto nº5.153, de 23.07.04." ),0,1,'C',1);//lab nome
			
			

			
			
            $cota1=38; 
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
	        $pdf->SetFont('Arial','',8);
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(140,5,utf8_decode('Requerente:'.$vetorDadosDocumento[0]),1,0,'L');//
		    $pdf->Cell(141,5,utf8_decode('Endereço:'.$vetorDadosDocumento[8]),1,0,'L');//
            //interpretacao
			$cota1=$cota1+15;
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);

			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,'Vigor 80 ou mais-->Vigor alto',1,0,'L');//amostra
		    $pdf->Cell(50,5,'Vigor 70 a 80-->Vigor Medio',1,0,'L');//amostra
		    $pdf->Cell(50,5,'Vigor 60 a 70-->Vigor baixo',1,0,'L');//amostra
		    $pdf->Cell(70,5,'Vigor abaixo de 60-->Vigor muito baixo',1,1,'L');//amostra
		    $pdf->Cell(70,5,'Valores em percentuais.',0,1,'L');//amostra

			//vai preparar para mostrar os dados
			//CAPTURA A MODALIDADE ARQUIVADA
			$generica=new tabelagenerica();
			$generica->tabela="tetrazolio";
			$generica->campos_valores = array(
			    "tet_repeticao" => NULL,
			);
			$generica->extras_select =" where (tet_repeticao='8' or tet_repeticao='9'  or tet_repeticao='7' ) and tet_amostra=".$amostraLong;
			$generica->selecionaCampos($generica);
			$registros=0;
			while ($resgenerica = $generica->retornaDados()):
			    $registros++;
				$modalidadeArquivada=$resgenerica->tet_repeticao;
			endwhile;
			
			$objetocalculo=new calculos();
			//$modalidadeArquivada='8';


		
		
//VAI ACHAR AS ID DAS AMOSTRAS QUE VAO NO LAUDO

//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$generica=new tabelagenerica();
$generica->tabela="documentosponte";
$generica->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$generica->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 15";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$generica->selecionaCampos($generica);
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
//vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
 //resultaso sao impressoas a partr da cota 3 car em cima da  linha divisoria muito grossa
 $alturaLinhaResultados=8;//define a largura das linhas de resultados
$contador=1;
$modalidadeArquivada=8;	

			
while ($resgenerica = $generica->retornaDados()):
  $amostraLong=$resgenerica->dpo_amostra_vinculada;
  $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	//CAPTURA A MODALIDADE ARQUIVADA
	$generica1=new tabelagenerica();
	$generica1->tabela="tetrazolio";
	$generica1->campos_valores = array(
	    "tet_repeticao" => NULL,
	);
	$generica1->extras_select =" where (tet_repeticao='8' or tet_repeticao='9'  or tet_repeticao='7' ) and tet_amostra=".$amostraLong;
	$generica1->selecionaCampos($generica1);
	$registros=0;
	while ($resgenerica1 = $generica1->retornaDados()):
	    $registros++;
		$modalidadeArquivada=$resgenerica1->tet_repeticao;
	endwhile;
  
  //aqui captura alguns dados fixos que preciso colocar nos laudos gerlamente a 
  //esquerda da tabela .Eu jogo eles na tabela com as colunas numeradas apos a sequencia 
  //do tetrazolio 
  //$matrizResumo=$objetocalculo->calculaTetrazolioSoja($amostraLong,$modalidadeArquivada);
  $matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
  //aqui vou acrescentar 
  $matrizResumo[0][37]='Amostra';   $matrizResumo[3][37]=$vetorAmostraBruto[1];
  $matrizResumo[0][38]='Lote';      $matrizResumo[3][38]=$vetorAmostraBruto[2];
  $matrizResumo[0][39]='Cultivar';  $matrizResumo[3][39]=$vetorAmostraBruto[31];
  $matrizResumo[0][40]='Repres';    $matrizResumo[3][40]=$vetorAmostraBruto[6];
  $matrizResumo[0][41]='Peneira';   $matrizResumo[3][41]=$vetorAmostraBruto[35];
  $matrizResumo[0][42]='Observação';$matrizResumo[3][42]=$vetorAmostraBruto[37];
  //data entrada converte p/data brasileira
  $dataAmericana=$vetorAmostraBruto[36];
  $dataBrasil= date("d/m/y",strtotime($dataAmericana));
  $matrizResumo[0][43]='Entrada';   $matrizResumo[3][43]=$dataBrasil;
  $matrizResumo[0][44]='Produtor';  $matrizResumo[3][44]=substr($vetorAmostraBruto[61],0,15);//campo amostrador(caso syngenta))
  //data laudo converte p/data brasileira
  $dataAmericana=$vetorDadosDocumento[27];
  $dataBrasil= date("d/m/y",strtotime($dataAmericana));
  $matrizResumo[0][45]='Dt Análise';$matrizResumo[3][45]=$vetorDadosDocumento[38];



  //ELE TRAZ NA VERDADE 4 LINHAS 0=CABECALHO  3=CONTEM O RESUMO dos resuultados
  //AQUI ELE VAI IMPRIMIR O CABECALHO MAS SO UMA VEZ ou seja se o contador=1
  //se for controle=sngenta 1 ele vai imprimir uma figura(pode ser que apareca outras figuras no futuro)  
  if($contador==1):
    if($controle!='syngenta1'):
	    //IMPRIME SO O CABECALHO
		$cota1+=15;
		$pdf->setXY($margemEsquerda,$cota1);
		 for($j=1;$j<=$limite;$j++):
		   $indice=$vetorIndice[$j];
		   $largura=$vetorLargura[$j];
		   $pdf->Cell($largura,5,utf8_decode($matrizResumo[0][$indice]),1,0,'L',1);//
		 endfor;
    else: 
  		 $cota1+=25;
		 $caminhoFinal="Imagens/laudo_syngenta1.jpg";
		 //echo("caminhofinal=$caminhoFinal<br>");
		 $pdf->Image($caminhoFinal,10,65,280.2,18,'JPG');			
    endif;//se nao for singenta 1 ele imprime o cabecalho
  endif;//testa se é para imprimir o cabecalho

	$registrosRep1=$matrizResumo[1][19];
	$registrosRep2=$matrizResumo[2][19];
	$vigor=$matrizResumo[3][11];
	$cota1+=5;//incrementa linha para colocar na linha seguinte
	$pdf->setXY($margemEsquerda,$cota1);
    for($j=1;$j<=$limite;$j++):
       $indice=$vetorIndice[$j];
	   $largura=$vetorLargura[$j];
	   $pdf->Cell($largura,5,utf8_decode($matrizResumo[3][$indice]),1,0,'C');//
	endfor;
	$contador++;//este contador so serve para ele nao reimprimir o titulo das colunas 
  endwhile;//FINAL DO ENDWILE QUE ACHA A ID DENTRO DO DOCUMENTOSPONTE
//terminou de imprimir resultados
	 //terminou de imprimir resultado agora vai para observacoes tecico e assinatura
     $cota4=120;
     ########################################observacoes######################################
     $pdf->setXY($margem,$cota4);
     //$pdf->Cell(70,$larguraDaLinha,utf8_decode('OBSERVAÇÕES:'),0,1,'L');	
	 $base[1][2]='OBSERVAÇÕES:';
	 $base[2][2]=$vetorDadosDocumento[19];
	 $base[3][2]=$vetorDadosDocumento[20];
	 $base[4][2]=$vetorDadosDocumento[21];
	 $base[5][2]=$vetorDadosDocumento[22];
	 $base[6][2]=$vetorDadosDocumento[23];
	 $base[7][2]=$vetorDadosDocumento[24];
	 $base[8][2]=$vetorDadosDocumento[25];
	 $base[9][2]=$vetorDadosDocumento[26];
	 $base[10][2]=$vetorDadosDocumento[27];

     $larguraDaLinha=3.5;
	 $cotaLinha=$cota4+10;
     for($L=1;$L<=6;$L++)
	 {
	     $conteudo=$base[$L][2];
	     if(strlen($conteudo)>2)
		 {
		     $cotaLinha+=$larguraDaLinha;
			 $pdf->setXY($margem,$cotaLinha);
			 $pdf->Cell(190,$larguraDaLinha,utf8_decode($base[$L][2]),0,1,'L');	
			 //$pdf->Cell(190,$larguraDaLinha,$cotaLinha,0,1,'C');	
 		 }
	 }


	 if(strlen($base[2][1])>2)
	 {
		 $pdf->setXY($margem,$cotaLinha);
	         $pdf->Cell(100,$larguraDaLinha,'DETERMINAÇÃO DE OUTRAS ESPECIES POR NÚMERO:',0,1,'L');	
		 $pdf->SetFont('Times','I',8);
		 $cotaLinha=$cotaDOSN;
	         for($L=1;$L<=10;$L++)
		 {
		         $conteudo=$base[$L][1];
			  if(strlen($conteudo)>2)
		          { 
			 	 $cotaLinha+=$larguraDaLinha;
		         	 $pdf->SetXY($margem,$cotaLinha);
				 $pdf->Cell(180,$larguraDaLinha,$conteudo,0,1,'C');	
			  }
		 }
		 $pdf->SetFont('Times','',8);
	 }
	 //aqui imprime o -o- independente de ter colocado ou nao la no campo de observacoes 
	 $pdf->SetXY($margem,$cotaLinha+4);
	 $pdf->Cell(180,$larguraDaLinha,'-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-',0,1,'L');	

	 
	 
	 ########################################ASSINATURAs######################################
     $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $cota7=$cotaLinha+10;
	 $cotaLinha=$cota7;
     $pdf->setXY(10,$cota7);
 	 $base[1][3]=$vetorTecnico[6].', '.$vetorDadosDocumento[27];
	 $base[2][3]="";
	 $base[3][3]="";
	 $base[4][3]=$vetorTecnico[1];
	 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
	 $base[6][3]=$vetorTecnico[4];
     $pdf->Line(100,$cota7+14,180,$cota7+14);//linha separadora horizontal
	 $pdf->SetXY(100,$cota7);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
	 $pdf->SetXY(100,$cota7+15);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
	 $pdf->SetXY(100,$cota7+20);$pdf->Cell(90,5,$base[5][3],0,1,'C');	
	 $pdf->SetXY(100,$cota7+25);$pdf->Cell(90,5,$base[6][3],0,1,'C');	
	 
     $pdf->SetXY(10,190);
	 $pdf->SetFont('Arial','',6);
     $pdf->Cell(100,5,utf8_decode('SILAS/INTEGRAL/Uberlândia/MG (34)3212.6384'),0,1,'L');


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
